%global enable_tests 0
%global barename grunt-saucelabs

Name:               nodejs-grunt-saucelabs
Version:            8.6.1
Release:            4%{?dist}
Summary:            Grunt task running tests using Sauce Labs

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/grunt-saucelabs
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

# These are automatically added as Requires
# https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#Automatic_Requires_and_Provides
#Requires:           npm(saucelabs)
#Requires:           npm(q)
#Requires:           npm(colors)
#Requires:           npm(lodash)
#Requires:           npm(sauce-tunnel)
#Requires:           npm(grunt)
#Requires:           npm(request)

%if 0%{?enable_tests}
BuildRequires:      npm(saucelabs)
BuildRequires:      npm(q)
BuildRequires:      npm(colors)
BuildRequires:      npm(lodash)
BuildRequires:      npm(sauce-tunnel)
BuildRequires:      npm(grunt)
BuildRequires:      npm(request)
BuildRequires:      npm(grunt-sauce-tunnel)
BuildRequires:      npm(grunt-contrib-watch)
BuildRequires:      npm(grunt-contrib-connect)
BuildRequires:      npm(grunt-contrib-jshint)
BuildRequires:      npm(grunt-jscs-checker)
BuildRequires:      npm(publish)
BuildRequires:      npm(merge)
BuildRequires:      npm(load-grunt-config)
BuildRequires:      npm(grunt)
%endif


%description
A Grunt task for running QUnit, Jasmine, Mocha, YUI tests, or any framework
using Sauce Labs' Cloudified Browsers.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep q '>=0.9.6'
%nodejs_fixdep request '>=2.25.0'
%nodejs_fixdep requestretry '1.x'
%nodejs_fixdep lodash '2.x'
%nodejs_fixdep colors

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-saucelabs
cp -pr package.json tasks Gruntfile.js \
    %{buildroot}%{nodejs_sitelib}/grunt-saucelabs

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
grunt
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/grunt-saucelabs/

%changelog
* Mon Sep 28 2015 Piotr Popieluch <piotr1212@gmail.com> - 8.6.1-4
- wide fixdep on colors

* Mon Sep 28 2015 Piotr Popieluch <piotr1212@gmail.com> - 8.6.1-3
- Fixdep lodash, colors and requestretry

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 18 2015 Ralph Bean <rbean@redhat.com> - 8.6.1-1
- new version

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 8.5.0-1
- new version

* Mon Dec 01 2014 Ralph Bean <rbean@redhat.com> - 8.3.3-1
- Latest upstream.
- Removed unused fixdep statements.
- Move all BuildRequires inside enable_tests conditional.
- Comment out the bulk of the original Requires.  They are automatic.
- Declared noarch.

* Wed Jul 02 2014 Ralph Bean <rbean@redhat.com> - 8.1.0-1
- Initial packaging for Fedora.
